## org.apache.xml.dtm.ref
Class DTMDefaultBaseIterators.NamespaceAttributeIterator

    java.lang.Object
      org.apache.xml.dtm.ref.DTMAxisIteratorBase
          org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
              org.apache.xml.dtm.ref.DTMDefaultBaseIterators.NamespaceAttributeIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Enclosing class:
  DTMDefaultBaseIterators

    public final class DTMDefaultBaseIterators.NamespaceAttributeIterator

extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Iterator that returns attributes within a given namespace for a node.

Field Summary

Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator
`END`

Constructor Summary
`DTMDefaultBaseIterators.NamespaceAttributeIterator(int nsType)` Constructor NamespaceAttributeIterator

Method Summary
`int` `next()` Get the next node in the iteration.
`DTMAxisIterator` `setStartNode(int node)` Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDefaultBaseIterators.NamespaceAttributeIterator

    public DTMDefaultBaseIterators.NamespaceAttributeIterator(int nsType)

  Constructor NamespaceAttributeIterator

  Parameters:
    `nsType` - The extended type ID being requested.

Method Detail

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

  Parameters:
    `node` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### next

    public int next()

  Get the next node in the iteration.

  Returns:
    The next node handle in the iteration, or END.

Copyright © 2005 Apache XML Project. All Rights Reserved.